{{- if .Values.serviceAccount.create -}}
{{- if .Values.rbac.create -}}
kind: "RoleBinding"
apiVersion: "rbac.authorization.k8s.io/v1"
metadata:
  name: {{ include "spring-demo-k8s.serviceAccountName" . }}-watcher-binding
  labels:
    {{- include "spring-demo-k8s.labels" . | nindent 4 }}
subjects:
  - kind: "ServiceAccount"
    name: {{ include "spring-demo-k8s.serviceAccountName" . }}
    apiGroup: ""
roleRef:
  kind: "Role"
  name: {{ include "spring-demo-k8s.serviceAccountName" . }}-watcher
  apiGroup: ""
{{- end }}
{{- end }}
